// ★コメント未記入
#if !defined(AFX_PLUGINGRIDDLG_H__A04EE09A_245D_4845_826E_856EE4A10A4D__INCLUDED_)
#define AFX_PLUGINGRIDDLG_H__A04EE09A_245D_4845_826E_856EE4A10A4D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PlugInGridDlg.h : ヘッダー ファイル
//

/////////////////////////////////////////////////////////////////////////////
// CPlugInGridDlg ダイアログ

class CPlugInGridDlg : public CDialog
{
// コンストラクション
public:
	CPlugInGridDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

	COLORREF	m_colGrid;

// ダイアログ データ
	//{{AFX_DATA(CPlugInGridDlg)
	enum { IDD = IDD_PLUGIN_GRID };
	CStatic	m_ctrlColor;
	UINT	m_uiWidth;
	UINT	m_uiHeight;
	BOOL	m_bEnable;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CPlugInGridDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CPlugInGridDlg)
	virtual void OnOK();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnGridColor();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_PLUGINGRIDDLG_H__A04EE09A_245D_4845_826E_856EE4A10A4D__INCLUDED_)
